# Uses of Class
org.bukkit.help.HelpTopic

Packages that use HelpTopic
Package
Description
org.bukkit.command.defaults
Commands for emulating the Minecraft commands and other necessary ones for use by a Bukkit implementation.
org.bukkit.help
Classes used to manipulate the default command and topic assistance system.

## Uses of HelpTopic in org.bukkit.command.defaults

Methods in org.bukkit.command.defaults that return HelpTopic
Modifier and Type
Method
Description
`protected @Nullable HelpTopic`
HelpCommand.`findPossibleMatches(@NotNull String searchString)`

## Uses of HelpTopic in org.bukkit.help

Subclasses of HelpTopic in org.bukkit.help
Modifier and Type
Class
Description
`class`
`GenericCommandHelpTopic`
Lacking an alternative, the help system will create instances of GenericCommandHelpTopic for each command in the server's CommandMap.
`class`
`IndexHelpTopic`
This help topic generates a list of other help topics.
Fields in org.bukkit.help with type parameters of type HelpTopic
Modifier and Type
Field
Description
`protected Collection<HelpTopic>`
IndexHelpTopic.`allTopics`
Methods in org.bukkit.help that return HelpTopic
Modifier and Type
Method
Description
`@Nullable HelpTopic`
HelpTopicFactory.`createTopic(TCommand command)`
This method accepts a command deriving from a custom command base class and constructs a custom HelpTopic for it.
`@Nullable HelpTopic`
HelpMap.`getHelpTopic(@NotNull String topicName)`
Returns a help topic for a given topic name.
Methods in org.bukkit.help that return types with arguments of type HelpTopic
Modifier and Type
Method
Description
`@NotNull Collection<HelpTopic>`
HelpMap.`getHelpTopics()`
Returns a collection of all the registered help topics.
Methods in org.bukkit.help with parameters of type HelpTopic
Modifier and Type
Method
Description
`void`
HelpMap.`addTopic(@NotNull HelpTopic topic)`
Adds a topic to the server's help index.
`protected @NotNull String`
IndexHelpTopic.`buildIndexLine(@NotNull CommandSender sender, @NotNull HelpTopic topic)`
Builds individual lines in the index topic.
`int`
HelpTopicComparator.`compare(@NotNull HelpTopic lhs, @NotNull HelpTopic rhs)`
Method parameters in org.bukkit.help with type arguments of type HelpTopic
Modifier and Type
Method
Description
`protected void`
IndexHelpTopic.`setTopicsCollection(@NotNull Collection<HelpTopic> topics)`
Sets the contents of the internal allTopics collection.
Constructor parameters in org.bukkit.help with type arguments of type HelpTopic
Modifier
Constructor
Description
``
`IndexHelpTopic(@NotNull String name, @Nullable String shortText, @Nullable String permission, @NotNull Collection<HelpTopic> topics)`
``
`IndexHelpTopic(@NotNull String name, @Nullable String shortText, @Nullable String permission, @NotNull Collection<HelpTopic> topics, @Nullable String preamble)`